GoDaddy node-config-shield up to 0.2.1 on Node.js set Command scripts/cli.js access control

entryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
5.2$0-$5k0.00

A vulnerability was found in GoDaddy node-config-shield up to 0.2.1 on Node.js (JavaScript Library) and classified as critical. This issue affects an unknown code block of the file scripts/cli.js of the component set Command Handler. The manipulation with an unknown input leads to a privilege escalation vulnerability. Using CWE to declare the problem leads to CWE-284. Impacted is confidentiality, integrity, and availability. The summary by CVE is:

** DISPUTED ** scripts/cli.js in the GoDaddy node-config-shield (aka Config Shield) package before 0.2.2 for Node.js calls eval when processing a set command. NOTE: the vendor reportedly states that this is not a vulnerability. The set command was not intended for use with untrusted data.

The weakness was published 01/28/2021 as cdba5d3a7accd661ffbc52e208153464bd0d9da6. The advisory is shared at github.com. The identification of this vulnerability is CVE-2021-26276 since 01/27/2021. The exploitation is known to be easy. Access to the local network is required for this attack. The requirement for exploitation is a simple authentication. Technical details are known, but no exploit is available. MITRE ATT&CK project uses the attack technique T1068 for this issue.

The real existence of this vulnerability is still doubted at the moment.

Upgrading to version 0.2.2 eliminates this vulnerability.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 5.4
VulDB Meta Temp Score: 5.2

VulDB Base Score: 5.5
VulDB Temp Score: 5.3
VulDB Vector: 🔒
VulDB Reliability: 🔍

NVD Base Score: 5.3
NVD Vector: 🔒

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

NVD Base Score: 🔒

Exploitinginfoedit

Class: Privilege escalation
CWE: CWE-284
ATT&CK: T1068

Local: No
Remote: Partially

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfoedit

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔒

Upgrade: node-config-shield 0.2.2

Timelineinfoedit

01/27/2021 CVE assigned
01/28/2021 +1 days Advisory disclosed
01/28/2021 +0 days VulDB entry created
02/21/2021 +24 days VulDB last update

Sourcesinfoedit

Advisory: cdba5d3a7accd661ffbc52e208153464bd0d9da6
Status: Confirmed
Disputed: 🔍

CVE: CVE-2021-26276 (🔒)

Entryinfoedit

Created: 01/28/2021 08:44 AM
Updated: 02/21/2021 07:17 AM
Changes: (18) vulnerability_cvss3_nvd_av vulnerability_cvss3_nvd_ac vulnerability_cvss3_nvd_pr vulnerability_cvss3_nvd_ui vulnerability_cvss3_nvd_s vulnerability_cvss3_nvd_c vulnerability_cvss3_nvd_i vulnerability_cvss3_nvd_a vulnerability_cvss2_nvd_av vulnerability_cvss2_nvd_ac vulnerability_cvss2_nvd_au vulnerability_cvss2_nvd_ci vulnerability_cvss2_nvd_ii vulnerability_cvss2_nvd_ai vulnerability_cvss3_meta_basescore vulnerability_cvss3_meta_tempscore vulnerability_cvss2_nvd_basescore vulnerability_cvss3_nvd_basescore
Complete: 🔍

Comments

No comments yet. Please log in to comment.

Do you know our Splunk app?

Download it now for free!